/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

#define forever 1

void PWM_Handler(void);						//	PWM interrupt handler prototype for PSoC 4/5

volatile int8 measurement = 0;				//	Takes the result of the ADC

void InitializeSystem(void)					//	Nomen est omen ...
{
    CyGlobalIntEnable; /* Enable global interrupts. */

	PWM_Start();							//	PWM
	PWM_Int_StartEx(PWM_Handler);	
}

int main()
{
	InitializeSystem();
	
    while(forever)
    {
        /* Place your application code here. */
    }
}

void PWM_Handler(void)						//	PWM interrupt handler for PSoC 4/5
{
	PWM_ReadStatusRegister();
}

